Uploaded image for project: 'IMPALA'
  1. IMPALA
  2. IMPALA-7628

test_tls_ecdh failing on CentOS 6/Python 2.6

Attach filesAttach ScreenshotVotersWatch issueWatchersCreate sub-taskLinkCloneUpdate Comment AuthorReplace String in CommentUpdate Comment VisibilityDelete Comments
    XMLWordPrintableJSON

Details

    • Bug
    • Status: Resolved
    • Blocker
    • Resolution: Fixed
    • Impala 3.1.0
    • Impala 3.1.0
    • Infrastructure
    • None
    • CentOS 6.4, Python 2.6

    Description

      custom_cluster/test_client_ssl.py:125: in test_tls_ecdh
          self._validate_positive_cases("%s/server-cert.pem" % self.CERT_DIR)
      custom_cluster/test_client_ssl.py:198: in _validate_positive_cases
          result = run_impala_shell_cmd(shell_options)
      shell/util.py:97: in run_impala_shell_cmd
          result.stderr)
      E   AssertionError: Cmd --ssl -q 'select 1 + 2' was expected to succeed: Starting Impala Shell without Kerberos authentication
      E   SSL is enabled. Impala server certificates will NOT be verified (set --ca_cert to change)
      E   /data/jenkins/workspace/impala-asf-master-exhaustive-centos6/Impala-Toolchain/thrift-0.9.3-p4/python/lib64/python2.6/site-packages/thrift/transport/TSSLSocket.py:80: DeprecationWarning: 3th positional argument is deprecated. Use keyward argument insteand.
      E     DeprecationWarning)
      E   /data/jenkins/workspace/impala-asf-master-exhaustive-centos6/Impala-Toolchain/thrift-0.9.3-p4/python/lib64/python2.6/site-packages/thrift/transport/TSSLSocket.py:80: DeprecationWarning: 4th positional argument is deprecated. Use keyward argument insteand.
      E     DeprecationWarning)
      E   /data/jenkins/workspace/impala-asf-master-exhaustive-centos6/Impala-Toolchain/thrift-0.9.3-p4/python/lib64/python2.6/site-packages/thrift/transport/TSSLSocket.py:80: DeprecationWarning: 5th positional argument is deprecated. Use keyward argument insteand.
      E     DeprecationWarning)
      E   /data/jenkins/workspace/impala-asf-master-exhaustive-centos6/Impala-Toolchain/thrift-0.9.3-p4/python/lib64/python2.6/site-packages/thrift/transport/TSSLSocket.py:216: DeprecationWarning: validate is deprecated. Use cert_reqs=ssl.CERT_NONE instead
      E     DeprecationWarning)
      E   No handlers could be found for logger "thrift.transport.TSSLSocket"
      E   Error connecting: TTransportException, Could not connect to localhost:21000: [Errno 1] _ssl.c:490: error:14094410:SSL routines:SSL3_READ_BYTES:sslv3 alert handshake failure
      E   Not connected to Impala, could not execute queries.
      

      Git hash is e38715e25297cc3643482be04e3b1b273e339b54

      I'm going to push out a temporary fix to unblock tests (since there are other related tests skipped on this platform) but I'll let Thomas validate the correctness of it.

      Attachments

        Activity

          This comment will be Viewable by All Users Viewable by All Users
          Cancel

          People

            twmarshall Thomas Tauber-Marshall
            tarmstrong Tim Armstrong
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

            Dates

              Created:
              Updated:
              Resolved:

              Slack

                Issue deployment